import request from '@/utils/request'

// 查询财务数据主列表
export function listCharge(query) {
  return request({
    url: '/finance/charge/list',
    method: 'get',
    params: query
  })
}

// 查询财务数据主详细
export function getCharge(fId) {
  return request({
    url: '/finance/charge/' + fId,
    method: 'get'
  })
}

// 新增财务数据主
export function addCharge(data) {
  return request({
    url: '/finance/charge/add',
    method: 'post',
    data: data
  })
}

// 修改财务数据主
export function updateCharge(data) {
  return request({
    url: '/finance/charge',
    method: 'put',
    data: data
  })
}

// 删除财务数据主
export function delCharge(fId) {
  return request({
    url: '/finance/charge/' + fId,
    method: 'delete'
  })
}

// 导出财务数据主
export function exportCharge(query) {
  return request({
    url: '/finance/charge/export',
    method: 'get',
    params: query
  })
}
// 导入搜索
export function search(queryParameter) {
  return request({
    url: '/finance/charge/chargeList',
    method: 'get',
    params: queryParameter
  })
}

// 查询客户详情列表
export function listCorps(query) {
  return request({
    url: '/basicdata/customerDetails/corps/list',
    method: 'get',
    params: query
  })
}
